> For the complete documentation index, see [llms.txt](https://docs.meterian.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.meterian.io/devops-integrations/sonarqube/plugin-properties.md).

# Plugin properties

Here is a comprehensive list of properties that the Meterian plugin adds to your SonarQube instance.

These Properties can be configured in multiple places:&#x20;

* SonarQube UI
* Project configuration file `sonar-project.properties`
* SonarScanner command line parameter (in the `-Dproperty.name` format)

## Required properties

| Key                             | Description                                                             | Default |
| ------------------------------- | ----------------------------------------------------------------------- | ------- |
| `sonar.meterian.reportJsonPath` | The path to the Meterian JSON report, generated as part of the analysis |         |

##

## Optional properties

| Key                                            | Description                                                              | Default         |
| ---------------------------------------------- | ------------------------------------------------------------------------ | --------------- |
| `sonar.meterian.patchUpdateAlertSeverityLevel` | The severity level to use when filing stability issues for patch updates | MINOR           |
| `sonar.meterian.minorUpdateAlertSeverityLevel` | The severity level to use when filing stability issues for minor updates | None (disabled) |
| `sonar.meterian.majorUpdateAlertSeverityLevel` | The severity level to use when filing stability issues for major updates | None (disabled) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.meterian.io/devops-integrations/sonarqube/plugin-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
